<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2007 osCommerce

  Released under the GNU General Public License
*/

// look in your $PATH_LOCALE/locale directory for available locales
// or type locale -a on the server.
// Examples:
// on RedHat try 'en_US'
// on FreeBSD try 'en_US.ISO_8859-1'
// on Windows try 'en', or 'English'
@setlocale(LC_TIME, 'th_TH.utf8');

define('DATE_FORMAT_SHORT', '%m/%d/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%A %d %B, %Y'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');
define('JQUERY_DATEPICKER_I18N_CODE', 'th'); // leave empty for en_US; see http://jqueryui.com/demos/datepicker/#localization
define('JQUERY_DATEPICKER_FORMAT', 'mm/dd/yy'); // see http://docs.jquery.com/UI/Datepicker/formatDate

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the applications default currency (used when changing language)
define('LANGUAGE_CURRENCY', 'THB');

// Global entries for the <html> tag
define('HTML_PARAMS', 'dir="ltr" lang="th"');

// charset for web pages and emails
define('CHARSET', 'UTF-8');

// page title
define('TITLE', STORE_NAME);

// header text in includes/header.php
define('HEADER_TITLE_CREATE_ACCOUNT', 'เปิดบัญชีลูกค้าใหม่');
define('HEADER_TITLE_MY_ACCOUNT', 'บัญชีของฉัน');
define('HEADER_TITLE_CART_CONTENTS', 'ดูของในตะกร้า');
define('HEADER_TITLE_CHECKOUT', 'เช็คเอ้าท์');
define('HEADER_TITLE_TOP', 'เริ่มต้น');
define('HEADER_TITLE_CATALOG', 'ระเบียนสินค้า');
define('HEADER_TITLE_LOGOFF', 'ออกจากสถานภาพสมาชิก');
define('HEADER_TITLE_LOGIN', 'เข้าสู่สถานภาพสมาชิก');

// footer text in includes/footer.php
define('FOOTER_TEXT_REQUESTS_SINCE', 'ร้องขอเมื่อ');

// text for gender
define('MALE', 'ชาย');
define('FEMALE', 'หญิง');
define('MALE_ADDRESS', 'คุณ');
define('FEMALE_ADDRESS', 'คุณ');

// text for date of birth example
define('DOB_FORMAT_STRING', 'เดือน--/วัน--/ปี----');

// checkout procedure text
define('CHECKOUT_BAR_DELIVERY', 'รายละเอียดเพื่อการส่งมอบสินค้า');
define('CHECKOUT_BAR_PAYMENT', 'รายละเอียดเพื่อการชำระเงิน');
define('CHECKOUT_BAR_CONFIRMATION', 'ยืนยันความถูกต้อง');
define('CHECKOUT_BAR_FINISHED', 'เสร็จสิ้น!');

// pull down default text
define('PULL_DOWN_DEFAULT', 'กรุณาเลือก');
define('TYPE_BELOW', 'พิมพ์ด้านล่างนี้');

// javascript messages
define('JS_ERROR', 'เกิดการผิดพลาดขึ้นในขั้นตอนที่คุณกรอกแบบฟอร์ม\n\nกรุณแก้ไขสิ่งหหล่านี้\n\n');

define('JS_REVIEW_TEXT', '* คำ \'วิจารณ์\' ต้องมีตัวอักษรอย่างน้อย ' . REVIEW_TEXT_MIN_LENGTH . ' ตัวอักษร\n');
define('JS_REVIEW_RATING', '* คุณต้องให้คะแนนสินค้าก่อนจึงจะเขียนคำวิจารณ์ได้\n');

define('JS_ERROR_NO_PAYMENT_MODULE_SELECTED', '* กรุณาเลือกวิธีชำระเงินสำหรับคำสั่งซื้อของคุณ\n');

define('JS_ERROR_SUBMITTED', ' แบบฟอร์มได้ถูกจัดส่งแล้ว กรุณาคลิ๊ก ปุ่มตกลง และรอให้ระบบจัดการให้เสร็จเรียบร้อยก่อน');

define('ERROR_NO_PAYMENT_MODULE_SELECTED', ' กรุณาเลือกวิธีชำระเงินสำหรับคำสั่งซื้อของคุณ');

define('CATEGORY_COMPANY', 'รายละเอียดบริษัท');
define('CATEGORY_PERSONAL', 'รายละเอียดส่วนบุคคลของคุณ');
define('CATEGORY_ADDRESS', 'ที่อยู่ตามบัตรประชาชน');
define('CATEGORY_CONTACT', 'ข้อมูลที่ร้านใช้สื่อสารกับคุณได้');
define('CATEGORY_OPTIONS', 'ตัวเลือกเพิ่ม');
define('CATEGORY_PASSWORD', 'รหัสผ่านประจำบัญชีลูกค้าของคุณ');

define('ENTRY_COMPANY', 'ชื่อบริษัท:');
define('ENTRY_COMPANY_TEXT', '');
define('ENTRY_GENDER', 'เพศ:');
define('ENTRY_GENDER_ERROR', 'กรุณาเลือกเพศของคุณ');
define('ENTRY_GENDER_TEXT', '*');
define('ENTRY_FIRST_NAME', 'ชื่อตัว:');
define('ENTRY_FIRST_NAME_ERROR', 'ชื่อตัวคุณต้องประกอบด้วยตัวอักษรอย่างน้อย ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' ตัวอักษร');
define('ENTRY_FIRST_NAME_TEXT', '*');
define('ENTRY_LAST_NAME', 'ชื่อสกุล:');
define('ENTRY_LAST_NAME_ERROR', 'ชื่อสกุลของคุณต้องประกอบด้วยตัวอักษรอย่างน้อย' . ENTRY_LAST_NAME_MIN_LENGTH . ' ตัวอักษร');
define('ENTRY_LAST_NAME_TEXT', '*');
define('ENTRY_DATE_OF_BIRTH', 'วันเกิด:');
define('ENTRY_DATE_OF_BIRTH_ERROR', 'วันเกิดต้องสอดคล้องกับรูปแบบดังนี้  เดือน/วัน/ปี (เช่น 11/10/1957)');
define('ENTRY_DATE_OF_BIRTH_TEXT', '* (เช่น 05/21/1969)');
define('ENTRY_EMAIL_ADDRESS', 'ที่อยู่อีเมล์:');
define('ENTRY_EMAIL_ADDRESS_ERROR', 'ที่อยู่อีเมล์ต้องประกอบด้วยตัวอักษรอย่างน้อย ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' อักษร');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', 'ที่อยู่อีเมล์ที่คุณป้อนดูเหมือนจะไม่ถูก กรุณาแก้ไขตามคุณเห็นสมควร');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', 'ที่อยู่อีเมล์ที่คุณเลือกมีอยู่ในระบบของเราแล้ว  -  กรุณาลงทะเบียนเข้าใช้ในชื่อนี้ หากคุณจำรหัสได้ หรือเปิดบัญชีใหม่ในชื่ออื่น');
define('ENTRY_EMAIL_ADDRESS_TEXT', '*');
define('ENTRY_STREET_ADDRESS', 'ชื่อถนน:');
define('ENTRY_STREET_ADDRESS_ERROR', 'ชื่อถนนต้องประกอบด้วยตัวอักษรอย่างน้อย ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' ตัวอักษร');
define('ENTRY_STREET_ADDRESS_TEXT', '*');
define('ENTRY_SUBURB', 'ย่าน:');
define('ENTRY_SUBURB_TEXT', '');
define('ENTRY_POST_CODE', 'รหัสไปรษณีย์:');
define('ENTRY_POST_CODE_ERROR', 'รหัสไปรษณีย์ต้องประกอบด้วยตัวอักษรอย่างน้อย ' . ENTRY_POSTCODE_MIN_LENGTH . ' ตัวอักษร');
define('ENTRY_POST_CODE_TEXT', '*');
define('ENTRY_CITY', 'อำเภอ หรือ เขต:');
define('ENTRY_CITY_ERROR', 'ชื่ออำเภอ หรือ เขตต้องประกอบด้วยตัวอักษรอย่างน้อย ' . ENTRY_CITY_MIN_LENGTH . ' ตัวอักษร');
define('ENTRY_CITY_TEXT', '*');
define('ENTRY_STATE', 'จังหวัด:');
define('ENTRY_STATE_ERROR', 'จังหวัดต้องประกอบด้วยต้วอักษรอย่างน้อย ' . ENTRY_STATE_MIN_LENGTH . ' ตัวอักษร');
define('ENTRY_STATE_ERROR_SELECT', 'กรุณาเลือกมลรัฐจากช่องขยายรายชื่อ');
define('ENTRY_STATE_TEXT', '*');
define('ENTRY_COUNTRY', 'ประเทศ:');
define('ENTRY_COUNTRY_ERROR', 'คุณต้องเลือกชื่อประเทศจากรายชื่อประเทศที่จัดไว้ให้ในช่องขยายรายชื่อเท่านั้น');
define('ENTRY_COUNTRY_TEXT', '*');
define('ENTRY_TELEPHONE_NUMBER', 'เบอร์โทรศัพธ์:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', 'เบอร์โทรศัพธ์ต้องประกอบด้วยตัวอักษรอย่างน้อย ' . ENTRY_TELEPHONE_MIN_LENGTH . ' ตัวอักษร ');
define('ENTRY_TELEPHONE_NUMBER_TEXT', '*');
define('ENTRY_FAX_NUMBER', 'เบอร์โทรสาร:');
define('ENTRY_FAX_NUMBER_TEXT', '');
define('ENTRY_NEWSLETTER', 'อีเมล์สาสน์จากทางร้าน:');
define('ENTRY_NEWSLETTER_TEXT', '');
define('ENTRY_NEWSLETTER_YES', 'ลงทะเบียนรับสาสน์จากทางร้าน');
define('ENTRY_NEWSLETTER_NO', 'ลงทะเบียนยกเลิกสาสน์จากทางร้าน');
define('ENTRY_PASSWORD', 'รหัสผ่าน:');
define('ENTRY_PASSWORD_ERROR', 'รหัสผ่านต้องประกอบด้วยตัวอักษรอย่างน้อย ' . ENTRY_PASSWORD_MIN_LENGTH . ' ตัวอักษร ');
define('ENTRY_PASSWORD_ERROR_NOT_MATCHING', 'รหัสผ่านที่ยืนยันต้องตรงกันกับระหัสผ่านที่คุณเลือกใช้ ');
define('ENTRY_PASSWORD_TEXT', '*');
define('ENTRY_PASSWORD_CONFIRMATION', 'ยืนยันรหัสผ่าน:');
define('ENTRY_PASSWORD_CONFIRMATION_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT', 'รหัสผ่าน ณ ปัจจุบัน:');
define('ENTRY_PASSWORD_CURRENT_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT_ERROR', 'รหัสผ่านต้องประกอบด้วยตัวอักษรอย่างน้อย ' . ENTRY_PASSWORD_MIN_LENGTH . ' ตัวอักษร ');
define('ENTRY_PASSWORD_NEW', ' รหัสผ่านใหม่ที่ต้องการ:');
define('ENTRY_PASSWORD_NEW_TEXT', '*');
define('ENTRY_PASSWORD_NEW_ERROR', 'รหัสผ่านต้องประกอบด้วยตัวอักษรอย่างน้อย ' . ENTRY_PASSWORD_MIN_LENGTH . ' ตัวอักษร ');
define('ENTRY_PASSWORD_NEW_ERROR_NOT_MATCHING', 'รหัสผ่านยืนยันต้องตรงกับรหัสผ่านใหม่ที่คุณเลือกจะใช้  ');
define('PASSWORD_HIDDEN', '--ปกปืดไว้--');

define('FORM_REQUIRED_INFORMATION', '* รายละเอียดที่จำเป็นต้องกรอก ');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', 'หน้าที่ชมอยู่:');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', 'แสดง <strong>%d</strong> ถึง <strong>%d</strong> (จาก <strong>%d</strong> สินค้า )');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', 'แสดง <strong>%d</strong> ถึง <strong>%d</strong> (จาก <strong>%d</strong> คำสั่งซื้อ)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', 'แสดง <strong>%d</strong> ถึง <strong>%d</strong> (จาก <strong>%d</strong> คำวิจารณ์)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_NEW', 'แสดง <strong>%d</strong> ถึง <strong>%d</strong> (จาก <strong>%d</strong> สินค้าใหม่  )');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', 'แสดง <strong>%d</strong> ถึง <strong>%d</strong> (จาก <strong>%d</strong> รายการพิเศษ)');

define('PREVNEXT_TITLE_FIRST_PAGE', 'หน้าแรก');
define('PREVNEXT_TITLE_PREVIOUS_PAGE', 'หน้าที่เพิ่งผ่านมา');
define('PREVNEXT_TITLE_NEXT_PAGE', 'หน้าต่อไป');
define('PREVNEXT_TITLE_LAST_PAGE', 'หน้าท้ายสุด');
define('PREVNEXT_TITLE_PAGE_NO', 'หน้า %d');
define('PREVNEXT_TITLE_PREV_SET_OF_NO_PAGE', 'ชุดที่ผ่านมาของ %d หน้า');
define('PREVNEXT_TITLE_NEXT_SET_OF_NO_PAGE', 'ชุดต่อไปของ %d หน้า');
define('PREVNEXT_BUTTON_FIRST', '&lt;&lt;หน้าแรก');
define('PREVNEXT_BUTTON_PREV', '[&lt;&lt;&nbsp;ก่อนหน้านี้]');
define('PREVNEXT_BUTTON_NEXT', '[ถัดไป&nbsp;&gt;&gt;]');
define('PREVNEXT_BUTTON_LAST', 'ท้ายสุด&gt;&gt;');
define('IMAGE_BUTTON_ADD_ADDRESS', 'เพิ่มที่อยู่');
define('IMAGE_BUTTON_ADDRESS_BOOK', 'ระเบียนรายชื่อ');
define('IMAGE_BUTTON_BACK', 'ถอยกลับ');
define('IMAGE_BUTTON_BUY_NOW', 'ซื้อเดี๋ยวนี้');
define('IMAGE_BUTTON_CHANGE_ADDRESS', 'เปลี่ยนที่อยู่');
define('IMAGE_BUTTON_CHECKOUT', 'เช็คเอ้าท์');
define('IMAGE_BUTTON_CONFIRM_ORDER', 'ยืนยันคำสั่งซื้อ');
define('IMAGE_BUTTON_CONTINUE', 'ดำเนินการต่อไป');
define('IMAGE_BUTTON_CONTINUE_SHOPPING', 'กลับไปช็อปปิ้งต่อ');
define('IMAGE_BUTTON_DELETE', 'ลบออก');
define('IMAGE_BUTTON_EDIT_ACCOUNT', 'แก้ไขบัญชีÕ');
define('IMAGE_BUTTON_HISTORY', 'ประวัติการสั่งซื้อ');
define('IMAGE_BUTTON_LOGIN', 'ลงทะเบียนเข้าระบบ');
define('IMAGE_BUTTON_IN_CART', 'เพิ่มลงในตะกร้า');
define('IMAGE_BUTTON_NOTIFICATIONS', 'ขอรับทราบความคืบหน้า');
define('IMAGE_BUTTON_QUICK_FIND', 'สืบค้นด่วน');
define('IMAGE_BUTTON_REMOVE_NOTIFICATIONS', 'ยกเลิกการแจ้งข่าว');
define('IMAGE_BUTTON_REVIEWS', 'วิจารณ์');
define('IMAGE_BUTTON_SEARCH', 'สืบค้น');
define('IMAGE_BUTTON_SHIPPING_OPTIONS', 'ทางเลือกระบบการส่งสินค้า');
define('IMAGE_BUTTON_TELL_A_FRIEND', 'บอกต่อเพื่อนๆ');
define('IMAGE_BUTTON_UPDATE', 'ปรับยอด');
define('IMAGE_BUTTON_UPDATE_CART', 'ปรับยอดในตะกร้า');
define('IMAGE_BUTTON_WRITE_REVIEW', 'เขียนคำวิจารณ์');

define('SMALL_IMAGE_BUTTON_DELETE', 'ลบออก');
define('SMALL_IMAGE_BUTTON_EDIT', 'แก้ไขของเดิม');
define('SMALL_IMAGE_BUTTON_VIEW', 'ขอดู');

define('ICON_ARROW_RIGHT', 'มากกว่านี้');
define('ICON_CART', 'ตะกร้า');
define('ICON_ERROR', 'ผิดพลาด');
define('ICON_SUCCESS', 'สำเร็จแล้ว');
define('ICON_WARNING', 'คำเตือน');

define('TEXT_GREETING_PERSONAL', 'ยินดีต้อนรับการกลับมา  คุณ <span class="greetUser">%s!</span> คุณต้องการทราบไหมว่ามีสินค้าอะไรที่เป็น<a href="%s"><u>สินค้าใหม่ของเดือน</u></a> และมีสต็อกให้ซื้อได้เลย');
define('TEXT_GREETING_PERSONAL_RELOGON', '<small>หากไม่ต้องการ %s, กรุณา <a href="%s"><u>ลงทะเบียนแสดงสมาชิกภาพเข้าสู่ระบบ</u></a> ด้วยข้อมูลสมาชิกของคุณที่เคยเปิดบัญชีไว้กับทางร้าน</small>');
define('TEXT_GREETING_GUEST', 'ยินดีต้อนรับ<span class="greetUser">ผู้มีอุปการะคุณ</span> ต้องการ<a href="%s"><u>แสดงสมาชิกภาพเดิมเข้าสู่ระบบ</u></a> หรือ<a href="%s"><u>ลงทะเบียนเปิดบัญชีสมาชิกใหม่</u></a>');

define('TEXT_SORT_PRODUCTS', 'เรียงลำดับสินค้า ');
define('TEXT_DESCENDINGLY', 'ต้นสู่ปลาย');
define('TEXT_ASCENDINGLY', 'ปลายสู่ต้น');
define('TEXT_BY', ' โดย ');

define('TEXT_REVIEW_BY', 'วิจารณ์โดย %s');
define('TEXT_REVIEW_WORD_COUNT', '%s คำ');
define('TEXT_REVIEW_RATING', 'ให้คะแนน%s [%s]');
define('TEXT_REVIEW_DATE_ADDED', 'วิจารณ์เมื่อ: %s');
define('TEXT_NO_REVIEWS', 'ณ เวลานี้ไม่มีคำวิจารณ์ใดๆเกี่ยวกับสินค้า');

define('TEXT_NO_NEW_PRODUCTS', 'ขณะนี้ยังไม่มีสินค้าใหม่');

define('TEXT_UNKNOWN_TAX_RATE', 'ไม่ทราบอัตราภาษี');

define('TEXT_REQUIRED', '<span class="errorText">ต้องการ</span>');

define('ERROR_TEP_MAIL', '<font face="Verdana, Arial" size="2" color="#ff0000"><strong><small>TEP ERROR:</small> ไมสามารถส่งอีเมล์ผ่านทาง SMTP เซอร์เวอร์ที่คุณกำหนด กรุณาตรวจสอบการตั้งค่าในไฟล์ php.ini และแก้ไข SMTP เซอร์เวอร์ หากจำเป็น</strong></font>');

define('TEXT_CCVAL_ERROR_INVALID_DATE', 'วันหมออายุของบัตรเครดิตที่คุณป้อนไม่เป็นที่ยอมรับ กรุณาตรวจสอบและลองอีกครั้ง');
define('TEXT_CCVAL_ERROR_INVALID_NUMBER', 'เบอร์บัตรเครดิตที่คุณป้อนไม่เป็นที่ยอมรับ กรุณาตรวจสอบและลองอีกครั้ง');
define('TEXT_CCVAL_ERROR_UNKNOWN_CARD', 'ตัวเลขสี่ตัวแรกของเบอร์บัตรจากซ้ายคือ %s. หากตรงกันแสดงว่าทางร้านสงวนสิทธิ์ ไม่รับบัตรชนิดดังกล่าว ขออภัย  หากไม่ตรงกันกรุณาลองอีกครั้ง');

define('FOOTER_TEXT_BODY', 'สงวนลิขสิทธิ์ ; ' . date('Y') . ' <a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . STORE_NAME . '</a><br />ขุมพลัง โดย<a href="http://www.oscommerce.com" target="_blank"> osCommerce.com</a>');
?>
